/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.actions.cdm;

import org.apache.log4j.Logger;
import org.eclipse.jface.action.Action;

import eu.etaxonomy.cdm.model.taxon.Synonym;
import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.taxeditor.ITaxEditorConstants;
import eu.etaxonomy.taxeditor.TaxEditorPlugin;

/**
 * @author p.ciardelli
 * @created 09.06.2008
 * @version 1.0
 */
public class ChangeSynonymToTaxonAction extends Action {
	private static final Logger logger = Logger
			.getLogger(ChangeSynonymToTaxonAction.class);
	
	private Synonym synonym;

	public ChangeSynonymToTaxonAction(Synonym synonym) {
		this.synonym = synonym;
	}
	
	public void run() {
		
		Taxon taxon = (Taxon) synonym.getAcceptedTaxa().toArray()[0];
		Taxon newTaxon = Taxon.NewInstance(synonym.getName(), taxon.getSec());
		taxon.removeSynonym(synonym);
		TaxEditorPlugin.getDefault().getCdmApp().getTaxonService().removeTaxon(synonym);
		
		new SaveTaxonAction(taxon).run();
		new SaveTaxonAction(newTaxon).run();
		
		firePropertyChange(ITaxEditorConstants.TAXON, null, newTaxon);
	}
}
