/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor;

import org.apache.log4j.Logger;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.ui.forms.widgets.TableWrapData;
import org.eclipse.ui.forms.widgets.TableWrapLayout;

/**
 * @author p.ciardelli
 * @created 10.09.2008
 * @version 1.0
 */
public class GroupCompositeLabel extends Composite {
	private static final Logger logger = Logger
			.getLogger(GroupCompositeLabel.class);

	public GroupCompositeLabel(Composite parent, String labelText) {
		super(parent, SWT.NONE);
		
		TableWrapLayout tableWrapLayout = new TableWrapLayout();
		tableWrapLayout.horizontalSpacing = 1;
		tableWrapLayout.rightMargin = 10;
		tableWrapLayout.leftMargin = 10;
		tableWrapLayout.bottomMargin = 1;
		tableWrapLayout.topMargin = 1;
		tableWrapLayout.verticalSpacing = 1;
		setLayout(tableWrapLayout);
		setLayoutData(new TableWrapData(TableWrapData.FILL_GRAB, TableWrapData.MIDDLE));
		
		// Add the label
		final Label label = new Label(this, SWT.NONE);
		label.setText(labelText);
	}
}
