/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor;

import org.eclipse.jface.text.IDocumentPartitioner;

/**
 * @author p.ciardelli
 * @created 18.08.2008
 * @version 1.0
 */
public interface IParserFeedback extends IDocumentPartitioner {
	
	/**
	 * Returns the name of the data field where the cursor
	 * is.
	 * 
	 * Necessary for autocomplete.
	 * 
	 * TODO is there some kind of reflection that would allow
	 * us to return something besides a String?
	 * 
	 * @return
	 */
//	public String getCursorInFieldName ();
	
	/**
	 * Returns an array of position objects, i.e. from "x to y, it's Name.Genus".
	 * 
	 * Could be used for formatting - bold, italic, different font size, etc.
	 * 
	 * @return
	 */
//	public String getFieldPositions();
	
}
