package eu.etaxonomy.taxeditor.propertysheet;

import java.util.List;

import org.eclipse.jface.databinding.viewers.ObservableListContentProvider;
import org.eclipse.jface.viewers.ITreeContentProvider;
import org.eclipse.jface.viewers.Viewer;

import eu.etaxonomy.taxeditor.model.PropertySheetNode;

public class PropertySheetContentProvider extends ObservableListContentProvider implements ITreeContentProvider {

	public Object[] getChildren(Object parentElement) {
		List<PropertySheetNode> children = ((PropertySheetNode) parentElement).getChildProperties();
		return children == null? new Object[0] : children.toArray();
	}

	public Object getParent(Object element) {
		return ((PropertySheetNode) element).getParentProperty();
	}

	public boolean hasChildren(Object element) {
		return ((PropertySheetNode) element).getChildProperties() != null;
	}
	
	public Object[] getElements(Object inputElement) {
		if (inputElement != null && inputElement instanceof List) {
			return ((List) inputElement).toArray();
		}
		return new Object[0];
	}

	public void dispose() {
	}

	public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
	}
}
