/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.propertysheet;

import org.apache.log4j.Logger;
import org.eclipse.jface.text.IDocument;
import org.eclipse.jface.text.contentassist.ContentAssistEvent;
import org.eclipse.jface.text.contentassist.ContentAssistant;
import org.eclipse.jface.text.contentassist.ICompletionListener;
import org.eclipse.jface.text.contentassist.ICompletionProposal;
import org.eclipse.jface.text.contentassist.IContentAssistant;
import org.eclipse.jface.text.source.ISourceViewer;
import org.eclipse.jface.text.source.SourceViewerConfiguration;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.RGB;
import org.eclipse.swt.widgets.Display;

/**
 * @author p.ciardelli
 * @created 19.05.2008
 * @version 1.0
 */
public class SourceViewerConfig extends SourceViewerConfiguration {
	private static final Logger logger = Logger
			.getLogger(SourceViewerConfig.class);
	
	public IContentAssistant getContentAssistant(ISourceViewer sourceViewer) {

		ContentAssistant assistant = new ContentAssistant();
		assistant.setContentAssistProcessor(
			new CompletionProcessor(),
			IDocument.DEFAULT_CONTENT_TYPE);
		assistant.enableAutoActivation(true);
		assistant.setAutoActivationDelay(50);
		assistant.setProposalPopupOrientation(
			IContentAssistant.PROPOSAL_OVERLAY);
		assistant.setStatusLineVisible(true);
//		assistant.setStatusMessage("Create a nomenclatural or taxonomic relationship");
		assistant.setProposalSelectorBackground(
				new Color(Display.getCurrent(), new RGB(255, 255, 255)));
		assistant.setInformationControlCreator(
				getInformationControlCreator(sourceViewer)); // this is what pops up in the yellow context box
		assistant.addCompletionListener(new ICompletionListener() {

			public void assistSessionEnded(ContentAssistEvent event) {
				// TODO Auto-generated method stub
			}

			public void assistSessionStarted(ContentAssistEvent event) {
				// TODO Auto-generated method stub
			}

			public void selectionChanged(ICompletionProposal proposal,
					boolean smartToggle) {
				if (smartToggle) {
					logger.warn("Inserting " + proposal.getDisplayString());
				}
			}
		});
		return assistant;
	}
}