/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.propertysheet;

import org.apache.log4j.Logger;
import org.eclipse.jface.viewers.ICellEditorValidator;

import eu.etaxonomy.cdm.model.common.TimePeriod;
import eu.etaxonomy.cdm.model.reference.BibtexReference;
import eu.etaxonomy.cdm.model.reference.StrictReferenceBase;
import eu.etaxonomy.taxeditor.model.CdmUtil;

/**
 * @author p.ciardelli
 * @created 10.11.2008
 * @version 1.0
 */
public class YearValidator implements ICellEditorValidator {
	private static final Logger logger = Logger.getLogger(YearValidator.class);

	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.ICellEditorValidator#isValid(java.lang.Object)
	 */
	public String isValid(Object value) {
		String year = (String) value;
		if (year.equals("")) {
			return null;
		}
		try {
			TimePeriod datePublished = CdmUtil.getDatePublished(year);
		} catch (NumberFormatException e) {
			return "Year must be between 1750 and 2030. Two years can also be given in the format 'xxxx-xxxx'.";
		}
		return null;
	}
}