/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.propertysheet.namerelationswizard;

import org.apache.log4j.Logger;
import org.eclipse.jface.wizard.IWizardPage;
import org.eclipse.jface.wizard.Wizard;

import eu.etaxonomy.cdm.model.name.TaxonNameBase;

/**
 * @author p.ciardelli
 * @created 06.06.2008
 * @version 1.0
 */
public class NameRelationsListWizard extends Wizard {
	private static final Logger logger = Logger
			.getLogger(NameRelationsListWizard.class);
	
	private TaxonNameBase name;

	public NameRelationsListWizard(TaxonNameBase name) {
		super();
		
		this.name = name;
	}

	public void addPages() {
		IWizardPage chooseNamePage = new ListNameRelationsWizardPage(name);
    	addPage(chooseNamePage);
    }
	
	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
	 */
	@Override
	public boolean performFinish() {
		return true;
	}
}
